%global amule_version 2.3.1
Name:           amuleadunanza
Version:        2012.1
Release:        1%{?dist}
Summary:        File sharing client compatible with eDonkey - Adunanza MOD
License:        GPLv2+
Group:          Applications/Internet
Source0:        http://sourceforge.net/projects/amule-adunanza/files/aMule-AdunanzA/Stable/aMule-AdunanzA-%{version}-%{amule_version}.tar.bz2
Source1:        amuled@.service
URL:            http://www.adunanza.net
Conflicts:      amule

BuildRequires:  wxGTK-devel >= 0:2.8.7, desktop-file-utils, expat-devel
BuildRequires:  gd-devel >= 2.0.0, libpng-devel
BuildRequires:  gettext-devel, flex, bison
BuildRequires:  readline-devel, cryptopp-devel, libupnp-devel
BuildRequires:  GeoIP-devel


%description
aMuleAdunanzA is the mod of aMule dedicated to Fastweb ISP users.
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network. It is a fork of xMule, whis was based on eMule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

%package nogui
Summary:        Components of aMuleAdunanzA which don't require a GUI (for servers)
Group:          Applications/Internet
Conflicts:      amule-nogui

%description nogui
This package contains the aMuleAdunanzA components which don't require a GUI.
It is useful for servers which don't have Xorg.


%prep
%setup -q -n aMule-AdunanzA-%{version}-%{amule_version}
manfiles=`find . -name "*.1"`
for manfile in $manfiles; do
    iconv -f ISO-8859-1 -t UTF-8 < $manfile > $manfile.utf8
    touch -r $manfile $manfile.utf8
    mv -f $manfile.utf8 $manfile
done

%build
%{_builddir}/aMule-AdunanzA-%{version}-%{amule_version}/autogen.sh
%configure  --prefix=%{_usr} \
    --docdir=%{_defaultdocdir}/%{name}-%{version} \
    --disable-rpath \
    --disable-debug \
    --enable-wxcas \
    --enable-cas \
    --enable-alc \
    --enable-alcc \
    --enable-amule-daemon \
    --enable-amulecmd \
    --enable-webserver \
    --enable-utf8-systray \
    --enable-geoip \
    --enable-ccache \
    --enable-amule-gui \
    --enable-optimize \
    --enable-mmap \
    --with-denoise-level=3

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT _docs

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

## install systemd service
mkdir -p $RPM_BUILD_ROOT/%{_unitdir}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_unitdir}/

rm -f $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/INSTALL

%find_lang %{name} --with-man

# desktop files
desktop-file-install --delete-original\
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     --add-category Network\
                     $RPM_BUILD_ROOT%{_datadir}/applications/amuleadunanza.desktop

iconv -f ISO-8859-1 -t UTF-8 < src/utils/aLinkCreator/alc.desktop \
      > $RPM_BUILD_ROOT%{_datadir}/applications/alc.desktop

desktop-file-install --delete-original\
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     $RPM_BUILD_ROOT%{_datadir}/applications/alc.desktop

desktop-file-install --delete-original\
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     $RPM_BUILD_ROOT%{_datadir}/applications/wxcasadunanza.desktop

desktop-file-install --delete-original\
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     --add-category Network\
                     $RPM_BUILD_ROOT%{_datadir}/applications/amuleguiadunanza.desktop


%files -f %{name}.lang
%doc %{_defaultdocdir}/%{name}-%{version}
%{_bindir}/alc
%{_bindir}/amule
%{_bindir}/wxcas
%{_bindir}/amulegui
%{_datadir}/%{name}/
%{_datadir}/casAdunanzA
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/alc.1.gz
%{_mandir}/*/man1/alc.1.gz
%{_mandir}/man1/amule.1.gz
%{_mandir}/*/man1/amule.1.gz
%{_mandir}/man1/wxcas.1.gz
%{_mandir}/*/man1/wxcas.1.gz
%{_mandir}/man1/amulegui.1.gz
%{_mandir}/*/man1/amulegui.1.gz
%exclude %{_datadir}/%{name}/webserver

%files nogui
%{_unitdir}/amuled@.service
%{_bindir}/alcc
%{_bindir}/amulecmd
%{_bindir}/amuled
%{_bindir}/amuleweb
%{_bindir}/ed2k
%{_bindir}/cas
%{_datadir}/%{name}/webserver
%{_mandir}/man1/alcc.1.gz
%{_mandir}/*/man1/alcc.1.gz
%{_mandir}/man1/amulecmd.1.gz
%{_mandir}/*/man1/amulecmd.1.gz
%{_mandir}/man1/amuled.1.gz
%{_mandir}/*/man1/amuled.1.gz
%{_mandir}/man1/amuleweb.1.gz
%{_mandir}/*/man1/amuleweb.1.gz
%{_mandir}/man1/ed2k.1.gz
%{_mandir}/*/man1/ed2k.1.gz
%{_mandir}/man1/cas.1.gz
%{_mandir}/*/man1/cas.1.gz


%changelog
* Wed Jan 02 2013 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 2012.1-1
- Initial release

